org.apache.maven.profiles.activation

## Class DetectedProfileActivator

- java.lang.Object
- - org.apache.maven.profiles.activation.DetectedProfileActivator

- All Implemented Interfaces:
    ProfileActivator
  Direct Known Subclasses:
    FileProfileActivator, JdkPrefixProfileActivator, SystemPropertyProfileActivator

      public abstract class DetectedProfileActivator
      extends java.lang.Object
      implements ProfileActivator

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.profiles.activation.ProfileActivator

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DetectedProfileActivator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract boolean` | `canDetectActivation(Profile profile)`
    `boolean` | `canDetermineActivation(Profile profile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.profiles.activation.ProfileActivator

      `isActive`

- - ### Constructor Detail

    - #### DetectedProfileActivator

          public DetectedProfileActivator()

  - ### Method Detail

    - #### canDetermineActivation

          public boolean canDetermineActivation(Profile profile)

      Specified by:
        `canDetermineActivation` in interface `ProfileActivator`

    - #### canDetectActivation

          protected abstract boolean canDetectActivation(Profile profile)